Bug 67287 - Remove "about KDE" menu item from help menu
Remove "about KDE" menu item from help menu
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-06-21 17:52 EDT by Havoc Pennington
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-26 07:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2002-06-21 17:52:58 EDT
There is no reason this should appear in every application; users may be using
the application under GNOME or twm. The Help menu should have only help and
about on the application itself.

Assuming kdelibs adds this item, it should be trivial to add a patch to remove it.
Comment 1 Bernhard Rosenkraenzer 2002-06-24 09:14:56 EDT
Actually there is, because it provides the bug reporting tool.
Comment 2 Havoc Pennington 2002-06-24 09:31:10 EDT
No one is going to look for the bug report tool there anyway. Put it in the
k/foot menu. (Or if you really wanted it in the app, Help->Report Bug, but I'd
consider that a bad idea.)
Comment 3 Ngo Than 2002-08-02 07:05:50 EDT
i have already added a patch into kdelibs-3.0.2-3 to remove "about KDE" menu
item from help menu.
Comment 4 Jay Turner 2002-09-03 21:44:02 EDT
Fix confirmed with kdebase-3.0.3-8.

Note You need to log in before you can comment on or make changes to this bug.